<?php  


function validateUsername($name){  
    //NO cumple longitud minima  
    if(strlen($name) < 2)  
        return false;  
    //SI longitud pero NO solo caracteres A-z  
    else if(!preg_match("/^[a-zA-Z]+$/", $name))  
        return false;  
    // SI longitud, SI caracteres A-z  
    else  
        return true;  
}  
  
function validatePassword1($password1){  
    //NO tiene minimo de 5 caracteres o mas de 12 caracteres  
    if(strlen($password1) < 5 || strlen($password1) > 12)  
        return false;  
    // SI longitud, NO VALIDO numeros y letras  
    else if(!preg_match("/^[0-9a-zA-Z]+$/", $password1))  
        return false;  
    // SI rellenado, SI email valido  
    else  
        return true;  
}  


function validatePassword2($password1, $password2){  
    //NO coinciden  
    if($password1 != $password2)  
        return false;  
    else  
        return true;  
}  

function validateTelefono($telefono){  
    //NO tiene minimo de 9 caracteres o mas de 11 caracteres  
    if(strlen($telefono) < 9 || strlen($telefono) > 11)  
        return false;  
    // SI longitud, NO VALIDO numeros  
    else if(!preg_match("/^[0-9]+$/", $telefono))  
        return false;  
    // SI rellenado, SI TELEFONO valido  
    else  
        return true;  
}  

function validateEmail($email){  
    //NO hay nada escrito  
    if(strlen($email) == 0)  
        return false;  
    // SI escrito, NO VALIDO email  
    else if(!filter_var($_POST['email'], FILTER_SANITIZE_EMAIL))  
        return false;  
    // SI rellenado, SI email valido  
    else  
        return true;  
}  

function validateComentario($comentario){  
    //NO tiene minimo de 20 caracteres
    if(strlen($comentario) < 20)  
        return false;  
    // SI longitud, VÁLIDO  
    else  
        return true;  
} 
//Comprobacion de datos  
//variables valores por defecto  

$nombre = "";  
$nombreValue = "";  

$apellido = "";  
$apellidoValue = "";  

$celular = "";  
$celularValue = "";  

$fijo = "";  
$fijoValue = "";  

$comentario = "";  
$comentarioValue = "";  

$username = "";  
$usernameValue = "";  
$password1 = "";  
$password2 = "";  
$email = "";  
$emailValue = "";  
$websiteValue = "";  
  
//Validacion de datos enviados  
if(isset($_POST['send'])){  
    if(!validateUsername($_POST['nombre']))  
        $nombre = "error";  	
    if(!validateUsername($_POST['apellido']))  
        $apellido = "error";  	
	
    if(!validateTelefono($_POST['celular']))  
        $celular = "error";  	
    if(!validateTelefono($_POST['fijo']))  
        $fijo = "error";  	
	
    if(!validateEmail($_POST['email']))  
        $email = "error";  
    if(!validateComentario($_POST['comentario']))  
        $comentario = "error";  
      
    //Guardamos valores para que no tenga que reescribirlos  
	$nombreValue = $_POST['nombre'];
    $apellidoValue = $_POST['apellido'];  
    $emailValue = $_POST['email'];  
	$celularValue = $_POST['celular'];  
	$fijoValue = $_POST['fijo'];  
	$comentarioValue = $_POST['comentario'];
      
    //Comprobamos si todo ha ido bien  
    if($nombre != "error" && $apellido != "error" && $celular != "error" && $fijo != "error" && $email != "error" && $comentario != "error")  
        $status = 1;  
}  
  
?>  


<html>
	<body>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />  
    <title>Contacto de cliente</title>  
    <link rel="stylesheet" href="main.css" type="text/css" media="screen" />  

	<?php if(!isset($status)): ?>  
            <h1>Estimado cliente, déjenos sus datos y en breve nos pondremos en contacto con Ud.:</h1>  
            <form id="form1" action="tellamamos.php" method="post">  
				
				
                <label style="text-align:left;" for="nombre">Nombre: <span id="req-nombre" class="requisites <?php echo $nombre ?>">Debe ingresar solo letras</span></label> 
                <input tabindex="1" name="nombre" id="nombre" type="text" class="text <?php echo $nombre ?>" value="<?php echo $nombreValue ?>" />  <br>
				
                <label style="text-align:left;" for="apellido">Apellidos: <span id="req-apellido" class="requisites <?php echo $apellido ?>">Debe ingresar solo letras</span></label>
                <input tabindex="2" name="apellido" id="apellido" type="text" class="text <?php echo $apellido ?>" value="<?php echo $apellidoValue ?>" />  <br>
		
                <label style="text-align:left;" for="email">Correo electrónico: <span id="req-email" class="requisites <?php echo $email ?>">Ingrese un correo válido</span></label>
                <input tabindex="3" name="email" id="email" type="text" class="text <?php echo $email ?>" value="<?php echo $emailValue ?>" />  <br>

                <label style="text-align:left;" for="celular">Celular: <span id="req-celular" class="requisites <?php echo $celular ?>">Ingrese un celular válido</span></label>
                <input tabindex="4" name="celular" id="celular" type="text" class="text <?php echo $celular ?>" value="<?php echo $celularValue ?>" />  <br>

                <label style="text-align:left;" for="fijo">Teléfono Fijo: <span id="req-fijo" class="requisites <?php echo $fijo ?>">Código de área y número de teléfono. Ejemplo: "015044723"</span></label>
                <input tabindex="5" name="fijo" id="fijo" type="text" class="text <?php echo $fijo ?>" value="<?php echo $fijoValue ?>" />  <br>

                <label style="text-align:left;" for="comentario">Comentarios: <span id="req-comentario" class="requisites <?php echo $comentario ?>">Mínimo 20 caracteres</span></label>
                <textarea tabindex="6" name="comentario" id="comentario" type="text" maxlength="500" rows="10" class="text <?php echo $comentario ?>" value="<?php echo $comentarioValue ?>">  </textarea><br>		
				<div>  
                    <input tabindex="7" name="send" id="send" type="submit" class="submit" value="Enviar consulta" />  
                </div>  
			</form>  
            <?php else: ?>  
			 <?php	include("registrar_tellamamos.php"); ?> 

			<script language='JavaScript'>
				{
					window.open('http://www.myjservigen.com/contacto.php?mensaje=Contacto', 'nuevo', 'directories=no, location=no, menubar=no, scrollbars=yes, statusbar=no, tittlebar=no, width=400, height=400');
				}
			</script>


            <?php endif; ?>
    <script type="text/javascript" src="js/jquery.js"></script>  
		

		
    <script type="text/javascript" src="js/main.js"></script>  
	
	<div class="links" style="display:none;"> <a href="http://www.jerseyfanstore.com/">New Nike NBA jersey</a> <a href="http://www.otshoes.com/">Vans</a> <a href="http://www.air90suk.info/">Cheap Nike Air Max 90 UK</a> <a href="http://www.zscarpe.com/">Scarpe Nike Air Max</a> <a href="http://www.fireshoestore.com/">Official Adidas NMD R1 Online</a> <a href="http://www.ohkick.com/">Chaussures Nike Jordan</a> <a href="http://www.ucoats.com/">Moncler Jacket Outlet On Sale</a> <a href="http://www.xschuhe.com/">Adidas Schuhe Top-Marke im Online Shop kaufe</a></div></body>
</html>